Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
webcam::Webcam::SettingsChangedEvent Struct Reference

This event is emitted after the settings of a webcam were changed. More...

Inheritance diagram for webcam::Webcam::SettingsChangedEvent:

## Public Attributes
Settings | oldSettings
| the old settings
Settings | newSettings
| the new settings
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

This event is emitted after the settings of a webcam were changed.

Definition at line 90 of file Webcam.idl.

## Member Data Documentation

## ◆ newSettings

Settings webcam::Webcam::SettingsChangedEvent::newSettings

the new settings

Definition at line 92 of file Webcam.idl.

## ◆ oldSettings

Settings webcam::Webcam::SettingsChangedEvent::oldSettings

the old settings

Definition at line 91 of file Webcam.idl.

The documentation for this struct was generated from the following file:

- Webcam.idl